We ported Zeitgeist to Vala and we only use rdflib to compile the
ontology Nothing that the user is concerned with...

** Changed in: zeitgeist
       Status: Triaged => Won't Fix

** Changed in: zeitgeist
       Status: Won't Fix => Opinion

-- 
You received this bug notification because you are a member of Zeitgeist
Framework Team, which is subscribed to Zeitgeist Framework.
https://bugs.launchpad.net/bugs/772474

Title:
  Zeitgeist depends on rdflib which does not support Python 3.X

Status in Zeitgeist Framework:
  Opinion

Bug description:
  ukev who is an arch user was trying to get various zeitgeist modules

  try these commands
  $ python 2.7 -c "import rdflib"
  which works
  $ python 3.2 -c "import rdflib"
  Traceback (most recent call last):
    File "<string>", line 1, in <module>
  ImportError: No module named rdflib

  rdflib on my system is 2.4.2 , but this does not work even with rdflib
  3.1.0

  The crux of the issue seems to be in the configure.ac file

  # check for python-rdflib
  AC_MSG_CHECKING([for python-rdflib])
  echo "import rdflib" | python - 2>/dev/null
  if test $? -ne 0 ; then
    AC_MSG_FAILURE([failed.  Please install the python-rdflib package.])
  else
    AC_MSG_RESULT([yes])
  fi

  which assumes that python is 2.X 
  This does not work in Python 3.X

  
  Something needs to be done for this.

To manage notifications about this bug go to:
https://bugs.launchpad.net/zeitgeist/+bug/772474/+subscriptions

_______________________________________________
Mailing list: https://launchpad.net/~zeitgeist
Post to     : zeitgeist@lists.launchpad.net
Unsubscribe : https://launchpad.net/~zeitgeist
More help   : https://help.launchpad.net/ListHelp

Reply via email to